com.pixelmed.network

## Class CEchoRequestCommandMessage

- java.lang.Object
- - com.pixelmed.network.CEchoRequestCommandMessage

-     public class CEchoRequestCommandMessage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CEchoRequestCommandMessage()`
    `CEchoRequestCommandMessage(AttributeList list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAffectedSOPClassUID()`
    `byte[]` | `getBytes()`
    `int` | `getCommandField()`
    `int` | `getGroupLength()`
    `int` | `getMessageID()`
    `int` | `getNextAvailableMessageID()` Get a new message ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CEchoRequestCommandMessage

          public CEchoRequestCommandMessage(AttributeList list)
                                     throws DicomException,
                                            java.io.IOException

      Parameters:
        `list` -
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### CEchoRequestCommandMessage

          public CEchoRequestCommandMessage()
                                     throws DicomException,
                                            java.io.IOException

      Throws:
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### getGroupLength

          public int getGroupLength()

    - #### getAffectedSOPClassUID

          public java.lang.String getAffectedSOPClassUID()

    - #### getCommandField

          public int getCommandField()

    - #### getMessageID

          public int getMessageID()

    - #### getBytes

          public byte[] getBytes()

    - #### getNextAvailableMessageID

          public final int getNextAvailableMessageID()

      Get a new message ID.

      Implemented as a simple counter on scope of JVM invocation, and will eventually wrapp around.

      Returns:
        a new unused integer message ID